> ## Documentation Index
> Fetch the complete documentation index at: https://meetbit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Online Conferences

> Required permissions: `online_conferences.read.*`




## OpenAPI

````yaml openapi.yaml get /online_conferences
openapi: 3.0.3
info:
  title: MeetBit Public API
  version: '2.0'
servers:
  - url: https://{primary_domain}/api/public/v2.0
    variables:
      primary_domain:
        default: example.com
        description: Your tenant's primary
security:
  - AccessKeyId: []
    AccessKeySecret: []
paths:
  /online_conferences:
    get:
      tags:
        - Online Conferences
      summary: List Online Conferences
      description: |
        Required permissions: `online_conferences.read.*`
      parameters:
        - $ref: '#/components/parameters/OwnerId'
        - $ref: '#/components/parameters/OwnerType'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageNumber'
        - $ref: '#/components/parameters/WithTrashed'
        - $ref: '#/components/parameters/OrderBy'
          schema:
            enum:
              - id
              - public_id
              - title
              - is_public
              - is_occurred
              - started_at
              - ended_at
              - created_at
              - updated_at
              - deleted_at
        - $ref: '#/components/parameters/OrderDirection'
        - $ref: '#/components/parameters/FilterValue'
        - $ref: '#/components/parameters/FilterOperator'
        - $ref: '#/components/parameters/FilterAttribute'
          schema:
            enum:
              - id
              - public_id
              - title
              - is_public
              - is_occurred
              - started_at
              - ended_at
              - created_at
              - updated_at
              - deleted_at
      responses:
        '200':
          $ref: '#/components/responses/OnlineConferenceListResponse'
        '400':
          $ref: '#/components/responses/ValidationErrorResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedErrorResponse'
        '429':
          $ref: '#/components/responses/RateLimitedErrorResponse'
        '500':
          $ref: '#/components/responses/UnexpectedErrorResponse'
components:
  parameters:
    OwnerId:
      in: query
      name: owner_id
      description: Resource Object ID of owner. Required if "owner_type" is defined.
      schema:
        type: integer
      allowEmptyValue: true
    OwnerType:
      in: query
      name: owner_type
      description: Resource Object Type of owner. Required if "owner_id" is defined.
      schema:
        $ref: '#/components/schemas/OwnerType'
      allowEmptyValue: true
    PageSize:
      in: query
      name: page_size
      description: Maximum number of items in a page.
      required: false
      schema:
        type: integer
      allowEmptyValue: true
    PageNumber:
      in: query
      name: page
      description: Page number of query.
      required: false
      schema:
        type: integer
      allowEmptyValue: true
    WithTrashed:
      in: query
      name: with_trashed
      description: Whether or not deleted items are included.
      schema:
        type: boolean
      allowEmptyValue: true
    OrderBy:
      in: query
      name: order_by
      description: Attribute to order query by.
      schema:
        type: string
      allowEmptyValue: true
    OrderDirection:
      in: query
      name: order_direction
      description: Direction to order query by.
      schema:
        type: string
        enum:
          - asc
          - desc
      allowEmptyValue: true
    FilterValue:
      in: query
      name: value
      description: Value of attribute to filter query by.
      schema:
        type: string
      allowEmptyValue: true
    FilterOperator:
      in: query
      name: operator
      description: Comparison operator to filter query by.
      schema:
        type: string
        enum:
          - Equal
          - NotEqual
          - Contains
          - GreaterThan
          - GreaterThanOrEqual
          - LessThan
          - LessThanOrEqual
          - IsNull
          - NotNull
    FilterAttribute:
      in: query
      name: 'on'
      description: Attribute to filter query by
      schema:
        type: string
      allowEmptyValue: true
  responses:
    OnlineConferenceListResponse:
      description: ''
      content:
        application/json:
          schema:
            required:
              - message
              - data
              - current_page
              - first_page_url
              - from
              - last_page
              - last_page_url
              - next_page_url
              - path
              - per_page
              - prev_page_url
              - to
              - total
            properties:
              message:
                type: string
              data:
                type: array
                description: A list of Online Conference resource objects.
                items:
                  $ref: '#/components/schemas/OnlineConference'
              current_page:
                type: integer
                description: Current page number.
              first_page_url:
                type: string
                description: URL to fetch the first page.
              from:
                type: integer
                nullable: true
              last_page:
                type: integer
                description: Last page number.
              last_page_url:
                type: string
                description: URL to fetch the last page.
              next_page_url:
                type: string
                description: URL to fetch the next page.
                nullable: true
              path:
                type: string
                description: Current URL.
              per_page:
                type: integer
                description: Number of items per page.
              prev_page_url:
                type: string
                description: URL to fetch the next page.
                nullable: true
              to:
                type: integer
                nullable: true
              total:
                type: integer
                description: Total number of items.
    ValidationErrorResponse:
      description: Invalid request parameters or body.
      content:
        application/json:
          schema:
            required:
              - message
              - errors
            properties:
              message:
                type: string
              errors:
                $ref: '#/components/schemas/ValidationError'
    UnauthorizedErrorResponse:
      description: Client does not have the appropriate permissions.
      content:
        text/plain:
          schema:
            anyOf:
              - $ref: '#/components/schemas/UnauthenticatedError'
              - $ref: '#/components/schemas/UnauthorizedError'
    RateLimitedErrorResponse:
      description: Too many requests have been made.
      headers:
        Retry-After:
          schema:
            type: integer
            description: Number of seconds to wait before making another request.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/RateLimitedError'
    UnexpectedErrorResponse:
      description: An unexpected error occurred.
      content:
        text/plain:
          schema:
            $ref: '#/components/schemas/ServerError'
  schemas:
    OwnerType:
      type: string
      enum:
        - App\Models\Tenant\User
        - App\Models\Tenant\Department
    OnlineConference:
      type: object
      required:
        - id
        - online_conference_account_id
        - public_id
        - title
        - is_public
        - created_at
        - updated_at
        - deleted_at
      properties:
        id:
          type: integer
          nullable: false
          format: int64
          readOnly: true
        online_conference_account_id:
          type: integer
          nullable: false
          format: int64
          readOnly: false
        backer_event_id:
          type: integer
          nullable: true
          format: int64
          readOnly: false
        public_id:
          type: string
          nullable: false
          pattern: /^[a-zA-Z0-9-_]+$/
          readOnly: false
        title:
          type: string
          nullable: false
          maxLength: 255
          readOnly: false
        is_public:
          type: boolean
          nullable: false
          readOnly: false
        is_occurred:
          type: boolean
          nullable: false
          readOnly: true
        started_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        ended_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        deleted_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
        created_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
        updated_at:
          type: string
          format: date-time
          nullable: false
          readOnly: true
    ValidationError:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      example:
        attribute:
          - The {attribute} field is required.
    UnauthenticatedError:
      type: string
      example: Invalid or missing access key.
    UnauthorizedError:
      type: string
      example: Access denied.
    RateLimitedError:
      type: string
      example: Too many requests.
    ServerError:
      type: string
      example: An unexpected error occurred.
  securitySchemes:
    AccessKeyId:
      type: apiKey
      name: X-Access-Key-Id
      in: header
    AccessKeySecret:
      type: apiKey
      name: X-Access-Key-Secret
      in: header

````